%define name perl-Crypt-DES_EDE3
%define real_name perl-Crypt-DES_EDE3
%define version 0.01

Name: %{name}
Version: %{version}
Summary: Crypt::DES_EDE3 module for perl
Release: 1
License: Artistic?
Group: 	System Environment/Libraries
Source0: Crypt-DES_EDE3-%{version}.tar.gz
Url: http://www.cpan.org
BuildArch: i386
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.6.0

%description
Crypt::DES_EDE3 module for perl. Needed by Crypt::CBC.
Crypt::DES_EDE3 implements DES-EDE3 encryption. This is triple-DES encryption where an encrypt operation is encrypt-decrypt-encrypt, and decrypt is decrypt-encrypt-decrypt. This implementation uses Crypt::DES to do its dirty DES work, and simply provides a wrapper around that module: setting up the individual DES ciphers, initializing the keys, and performing the encryption/decryption steps.
%prep
%setup -q -n Crypt-DES_EDE3-%{version}
#%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
#rm -rf $RPM_BUILD_ROOT/usr/src

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{_libdir}/perl5/vendor_perl/
%{_mandir}/*/*

%changelog
* Thu Jul 08 2004 Ralf Spenneberg <ralf@spenneberg.de>
- First release
